package com.ruoyi.zongzhi.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.zongzhi.mapper.TcAttackMapper;
import com.ruoyi.zongzhi.domain.TcAttack;
import com.ruoyi.zongzhi.service.ITcAttackService;

/**
 * 地区受攻击Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-21
 */
@Service
public class TcAttackServiceImpl implements ITcAttackService 
{
    @Autowired
    private TcAttackMapper tcAttackMapper;

    /**
     * 查询地区受攻击
     * 
     * @param id 地区受攻击主键
     * @return 地区受攻击
     */
    @Override
    public TcAttack selectTcAttackById(Long id)
    {
        return tcAttackMapper.selectTcAttackById(id);
    }

    /**
     * 查询地区受攻击列表
     * 
     * @param tcAttack 地区受攻击
     * @return 地区受攻击
     */
    @Override
    public List<TcAttack> selectTcAttackList(TcAttack tcAttack)
    {
        return tcAttackMapper.selectTcAttackList(tcAttack);
    }

    /**
     * 新增地区受攻击
     * 
     * @param tcAttack 地区受攻击
     * @return 结果
     */
    @Override
    public int insertTcAttack(TcAttack tcAttack)
    {
        return tcAttackMapper.insertTcAttack(tcAttack);
    }

    /**
     * 修改地区受攻击
     * 
     * @param tcAttack 地区受攻击
     * @return 结果
     */
    @Override
    public int updateTcAttack(TcAttack tcAttack)
    {
        return tcAttackMapper.updateTcAttack(tcAttack);
    }

    /**
     * 批量删除地区受攻击
     * 
     * @param ids 需要删除的地区受攻击主键
     * @return 结果
     */
    @Override
    public int deleteTcAttackByIds(Long[] ids)
    {
        return tcAttackMapper.deleteTcAttackByIds(ids);
    }

    /**
     * 删除地区受攻击信息
     * 
     * @param id 地区受攻击主键
     * @return 结果
     */
    @Override
    public int deleteTcAttackById(Long id)
    {
        return tcAttackMapper.deleteTcAttackById(id);
    }
}
